package com.xhkjedu.suser.mapper.system;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.suser.model.system.TUsecret;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface UsecretMapper extends TkMapper<TUsecret> {
    //获取密保问题列表
    List<Map> findAll(@Param("usecret") TUsecret usecret);

    //获取密保问题选择列表
    List<Map> listForSel(@Param("schoolid") Integer schoolid);

    //获取密保问题数量
    Integer getNumBySchoolId(@Param("schoolid") Integer schoolid);
}
